import { createFileRoute } from "@tanstack/react-router";
import { z } from "zod";
import { WalletMovementsPage } from "@/features/wallets/WalletMovementsPage";

export const Route = createFileRoute("/_authenticated/wallets/movements")({
  validateSearch: z.object({
    walletId: z.coerce.number().optional(),
  }),
  component: WalletMovementsPage,
});
